import { CarrierResponse } from './queries/carrier.query';
import { CarrierCredentials } from './queries/customerCarrierCredentials.query';
import { Carrier } from '../../common';
import { InjectionToken } from '@nestjs/common';
import { Webhook } from './queries/externalSystemsWebhooks';
export interface ICmsService {
    getCustomerCarrierCredentials: (customerId: string, carrier: Carrier) => Promise<CarrierCredentials | null>;
    getCarrier: (carrierId: Carrier) => Promise<CarrierResponse | null>;
    getExternalSystemsWebhooks: () => Promise<Webhook[]>;
}
export interface ICmsProviderOptions {
    baseUrl: string;
    accessToken: string;
}
export interface ICachedCmsProviderOptions {
    cmsService: InjectionToken;
    cacheService: InjectionToken;
    cacheTTL?: number;
}
//# sourceMappingURL=cms.interface.d.ts.map